const app = getApp();
const util = require("../../../util/util.js")
Page({
  data: {
    info:{
      id:0,
      title:"",
    },
    url : ""
  },
  onLoad: function (options) {
    let id = +options.id||200123;
    let title = options.title||"";
    let url = ""
    this.setData({info: {id,title, url}})
  },
  okUpload( err, {url}){
    this.setData({url})
  },
  confirm( e  ){
    let id = this.data.info.id
    let url = this.data.url
    let {marks} =  e.detail.value;
    let param = {id, marks,url}
    util.http( '/maker/addDeliverImg', param, (err,res)=>{
      if( err!= 0 ) return;
      util.showSuccess("交付成功");
      app.setAction( {action:"addDeliverImg",data:param})
    })
  },
  ChooseImage() {
    let that = this
    wx.chooseImage({
      count: 1, //默认9
      sizeType: ['original', 'compressed'], //可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], //从相册选择
      
      success: (res) => {
        util.uploadFile(res.tempFilePaths[0], that.okUpload );
      }
    });
  },
  onShareAppMessage: function () {
  }
})